VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "ClsVxmCommands"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Private Declare Function FormatCommands Lib "Velmex VXM Commands.dll" (ByVal CommandString As String, Optional ByVal AutoComment As Long) As String

'*** API Functions that are MANDATORY if the driver is not in one of the following 6 directories
'*** 1. The directory from which the application loaded.
'*** 2. The current directory. (If code is compiled into exe, otherwise may fail if in development IDE)
'*** 3. Windows 95: The Windows system directory. Use the GetSystemDirectory function to get the path of this directory.
'*** Windows NT: The 32-bit Windows system directory. Use the GetSystemDirectory function to get the path of this directory. The name of this directory is SYSTEM32.
'*** 4. Windows NT: The 16-bit Windows system directory. There is no Win32 function that obtains the path of this directory, but it is searched. The name of this directory is SYSTEM.
'*** 5. The Windows directory. Use the GetWindowsDirectory function to get the path of this directory.
'*** 6. The directories that are listed in the PATH environment variable.
Private Declare Function LoadLibrary Lib "kernel32" Alias "LoadLibraryA" (ByVal lpLibFileName As String) As Long
Private Declare Function FreeLibrary Lib "kernel32" (ByVal hLibModule As Long) As Long
Public hLib As Long

Private Const DblTab = vbTab + vbTab

Public Function LoadDll(DriverPath As String) As Long        'First we tell windows where the driver resides
Select Case hLib                            'Determine if the driver is already loaded
    Case 0                                  'If driver is not loaded
        hLib = LoadLibrary(DriverPath)      'Load the driver
    Case Else                               'Else
        hLib = FreeLibrary(hLib)            'Unload the driver
        hLib = LoadLibrary(DriverPath)      'Reload the driver
End Select
LoadDll = hLib                           'Return the handle to the driver to the calling function
End Function

Public Function UnLoadDll() As Long      'When done, we need to release the driver and resources
Do
    DoEvents
    hLib = FreeLibrary(hLib)                    'Release the driver
Loop Until hLib = 0
UnLoadDll = hLib                         'Relay the release to the calling function
End Function

Public Function AutoFormatCommands(ByVal CommandString As String, Optional ByVal AutoComment As Long) As String
    Dim VxmCommandFilterReply As String
    Select Case AutoComment
        Case 0
            VxmCommandFilterReply = FormatCommands(ByVal CommandString, ByVal 0)        'Autocomment = false or not specified
        Case 1
            VxmCommandFilterReply = FormatCommands(ByVal CommandString, ByVal 1)          'Autocomment = true
    End Select
    
    VxmCommandFilterReply = Replace(VxmCommandFilterReply, vbCr, vbCrLf)    'Added just to show commented code correctly
    VxmCommandFilterReply = Replace(VxmCommandFilterReply, ";", DblTab + ";")   'Added just for readability sake
    AutoFormatCommands = VxmCommandFilterReply
End Function

